#include <p18f452.inc>
#define delay1 20h
#define delay2 21h
#define delay3 22h
#define sw1 PORTB,1
#define LED1 PORTC,0
#define LED2 PORTC,1
#define LED3 PORTC,5

 org 0
goto start
 org 8h
goto hi_int

 org 18h
goto lw_int

hi_int:
lw_int
start:

      movlw 03fh
      movwf TRISB

      movlw 0h
      movwf TRISC

      movlw 0h
      movwf TRISD

      movlw 0h
      movwf TRISE
     
MainLoop:
      bsf LED1
      bsf LED2

     btfsc sw1
     goto sw_up
OndelayLoop:
	  decfsz delay1 ,f
	  goto OndelayLoop
	  decfsz delay2 ,f
	  goto OndelayLoop

	bcf LED1
	bcf LED2

OffdelayLoop:
	  decfsz delay1 ,f
	  goto OffdelayLoop
	  decfsz delay2 ,f
	  goto OffdelayLoop
      goto MainLoop

sw_up:
 OndelayLoop1:
	  decfsz delay3 ,f
	  goto OndelayLoop1
	  
	bcf LED1
	bcf LED2

 OffdelayLoop1:
	  decfsz delay3 ,f
	  goto OffdelayLoop1
	  
      goto MainLoop



     end